package com.salpa.subject.domain;

import java.io.Serializable;
import java.sql.Timestamp;
import java.time.LocalDateTime;
import java.time.LocalTime;

/**
 * @author zhuff
 * monitor_table_index_document
 */
public class MonitorTableIndexDocument implements Serializable {

    private static final long serialVersionUID = 1L;

    private Integer id;

    private Integer tableDocumentId;

    private Integer databaseDocumentId;

    private String name;

    private Boolean unique;

    private String columnNameArray;

    private LocalDateTime createAt;

    /*业务字段*/
    private Object columnNameArrays;

    public MonitorTableIndexDocument() {}

    public MonitorTableIndexDocument(MonitorTableIndexDocument value) {
        this.id = value.id;
        this.tableDocumentId = value.tableDocumentId;
        this.databaseDocumentId = value.databaseDocumentId;
        this.name = value.name;
        this.unique = value.unique;
        this.columnNameArray = value.columnNameArray;
        this.createAt = value.createAt;
    }

    public MonitorTableIndexDocument(
            Integer       id,
            Integer       tableDocumentId,
            Integer       databaseDocumentId,
            String        name,
            Boolean       unique,
            String        columnNameArray,
            LocalDateTime createAt
    ) {
        this.id = id;
        this.tableDocumentId = tableDocumentId;
        this.databaseDocumentId = databaseDocumentId;
        this.name = name;
        this.unique = unique;
        this.columnNameArray = columnNameArray;
        this.createAt = createAt;
    }


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getTableDocumentId() {
        return tableDocumentId;
    }

    public void setTableDocumentId(Integer tableDocumentId) {
        this.tableDocumentId = tableDocumentId;
    }

    public Integer getDatabaseDocumentId() {
        return databaseDocumentId;
    }

    public void setDatabaseDocumentId(Integer databaseDocumentId) {
        this.databaseDocumentId = databaseDocumentId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Boolean getUnique() {
        return unique;
    }

    public void setUnique(Boolean unique) {
        this.unique = unique;
    }

    public String getColumnNameArray() {
        return columnNameArray;
    }

    public void setColumnNameArray(String columnNameArray) {
        this.columnNameArray = columnNameArray;
    }

    public LocalDateTime getCreateAt() {
        return createAt;
    }

    public void setCreateAt(LocalDateTime createAt) {
        this.createAt = createAt;
    }

    public Object getColumnNameArrays() {
        return columnNameArrays;
    }

    public void setColumnNameArrays(Object columnNameArrays) {
        this.columnNameArrays = columnNameArrays;
    }
}
